# frozen_string_literal: true

require "rails/generators/base"

module Blackfire
  module Generators
    class InstallGenerator < Rails::Generators::Base
      desc "Creates a Blackfire initializer."
      source_root File.expand_path("templates", __dir__)

      def copy_initializer
        copy_file "blackfire.rb", "config/initializers/blackfire.rb"
      end
    end
  end
end
